
// Compare1DDlg.h: 头文件
//

#include"SoftCompare1D.h"
#include"HSCompare1D.h"
#pragma once



// CCompare1DDlg 对话框
class CCompare1DDlg : public CDialogEx
{
// 构造
public:
	CCompare1DDlg(CWnd* pParent = nullptr);	// 标准构造函数

// 对话框数据

#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MY_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 支持


// 实现
protected:
	HICON m_hIcon;

	// 生成的消息映射函数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	static WORD cardConnectNo; //卡的连接号

	CTabCtrl tabControl;
	SoftCompare1D SoftCmp1D_Handle; //软件比较界面
	HSCompare1D HSCmp1D_Handle; //高速比较界面

	afx_msg void OnTcnSelchangeTab1(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
